/*
 * COPYRIGHT 2015 YOSPACE TECHNOLOGIES LTD. ALL RIGHTS RESERVED.
 */

#import <Foundation/Foundation.h>
#import "YSAdManagement.h"

/** The YSEvent protocol provides an interface to a tracking event associated with the parent object - an advert or ad break.
 
 */
@protocol YSEvent <NSObject>

/** Returns the tracking event URL.
 
 @param none
 @return The tracking event URL.
 @since from 1.0
 */
- (NSURL* _Nullable) eventSource;

/** Returns the tracking event type.
 
 @param none
 @return The tracking event type.
 @since from 1.0
 */
- (YSETrackingEvent) eventType;

@end
